%global pypi_name           ruamel.yaml
%global canonical_pypi_name ruamel-yaml
%global pypi_version        0.17.21

Name:           python-%{canonical_pypi_name}
Version:        %{pypi_version}
Release:        3%{?dist}
Summary:        YAML 1.2 loader/dumper package for Python

License:        MIT
URL:            https://sourceforge.net/p/ruamel-yaml/code/ci/default/tree
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_version}dist(setuptools)

%global _description %{expand:
ruamel.yaml is a YAML 1.2 loader/dumper package for Python.
It is a derivative of Kirill Simonov’s PyYAML 3.11}

%description %_description


%package -n     python%{python3_pkgversion}-%{canonical_pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{canonical_pypi_name}}

Requires:       python%{python3_version}dist(ruamel.yaml.clib) >= 0.2.6

%description -n python%{python3_pkgversion}-%{canonical_pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
export RUAMEL_NO_PIP_INSTALL_CHECK=1
%py3_install

%files -n python%{python3_pkgversion}-%{canonical_pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/ruamel
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}-*.pth
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Apr 20 2022 Daniel Uvehag <ufven+pkgs@protonmail.com> - 0.17.21-3
- Fix erroneous dependency names

* Wed Apr 20 2022 Daniel Uvehag <ufven+pkgs@protonmail.com> - 0.17.21-2
- Fix canonical name

* Wed Apr 20 2022 Daniel Uvehag <ufven+pkgs@protonmail.com> - 0.17.21-1
- Initial package.
